Subject: Midwestern Food?

From: [email-masked] (Greg151)
Date: 16 Jan 1995 12:51:06 -0500

I am a graduate student in Geography, trying to describe the upper
midwestern food ways.(particularly ND, SD, MN, )  I am familiar with the
basics of Lefse, Lutefisk,
knophla soup, kucken, etc, but I would like detailed descriptions of
specific ethnic food ways, and lifestyles, particularly some of the older
ways, before TV.  Thanks in advance,

greg

ps. you can send directly to me or post here, I will collect any responses
and repost here